## ros-crystal-ets-plugin 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ets_plugin)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(ets_msgs REQUIRED)

ament_export_dependencies(rosidl_default_runtime)

add_library(etsros2 MODULE src/telemetry.cpp src/publisher.cpp)

ament_target_dependencies(etsros2
    "rclcpp"
    "rcutils"
    "rosidl_typesupport_cpp"
    "std_msgs"
    "ets_msgs")

target_include_directories(etsros2 PRIVATE external/scs_sdk_1_9/include)

install(TARGETS etsros2
    DESTINATION lib/${PROJECT_NAME})

ament_package()

=== external/scs_sdk_1_9/examples/telemetry/Makefile ===
ROS_DISTRO=crystal
ROS_PATH=/opt/ros/$(ROS_DISTRO)

ROS_HEADERS=\
	$(ROS_PATH)/include/*.hpp \
	$(ROS_PATH)/include/rclcpp/*.hpp

ROS_INCLUDES=\
	-I$(ROS_PATH)/include

SDK_HEADERS=\
	../../include/*.h \
	../../include/common/*.h \
	../../include/amtrucks/*.h \
	../../include/eurotrucks2/*.h

SDK_INCLUDES=\
	-I../../include \
	-I../../include/common/ \
	-I../../include/amtrucks/ \
	-I../../include/eurotrucks2

UNAME:= $(shell uname -s)

ifeq ($(UNAME),Darwin)
LIB_NAME_OPTION=-install_name
else
LIB_NAME_OPTION=-soname
endif

telemetry.so:  *.cpp $(SDK_HEADERS)
	gcc -v -o $@ -fPIC -Wall --shared -Wl,-z,defs,-rpath=$(ROS_PATH)/lib,$(LIB_NAME_OPTION),$@ $(SDK_INCLUDES) $(ROS_INCLUDES) *.cpp

.PHONY: clean
clean:
	@rm -f -- *.so

=== external/scs_sdk_1_9/examples/telemetry_position/Makefile ===
SDK_HEADERS=\
	../../include/*.h \
	../../include/common/*.h \
	../../include/amtrucks/*.h \
	../../include/eurotrucks2/*.h

SDK_INCLUDES=\
	-I../../include \
	-I../../include/common/ \
	-I../../include/amtrucks/ \
	-I../../include/eurotrucks2

UNAME:= $(shell uname -s)

ifeq ($(UNAME),Darwin)
LIB_NAME_OPTION=-install_name
else
LIB_NAME_OPTION=-soname
endif

telemetry_position.so:  *.cpp $(SDK_HEADERS)
	gcc -o $@ -fPIC -Wall --shared -Wl,$(LIB_NAME_OPTION),$@ $(SDK_INCLUDES) *.cpp

.PHONY: clean
clean:
	@rm -f -- *.so

=== debian/changelog ===
ros-crystal-ets-plugin (0.1.2-2bionic) bionic; urgency=high

  * Remove unused nav_msgs dependency
  * Add parking brake status
  * Contributors: Bruno Demartino, Hernán Gonzalez

 -- Bruno Demartino <demartinoba@gmail.com>  Sun, 09 Jun 2019 03:00:00 -0000

ros-crystal-ets-plugin (0.1.1-2bionic) bionic; urgency=high

  * Add some more parameters
    Specifically acceleration, engine_running, world_placement (x,y,z,
    heading,pitch,roll)
  * Add trailer_connected value
  * Add RPM value
  * Fixed unused-parameter warnings
  * Add missing CMakeLists files
  * Initial commit
  * Contributors: Bruno Demartino, Hernán Gonzalez

 -- Bruno Demartino <demartinoba@gmail.com>  Tue, 04 Jun 2019 03:00:00 -0000

=== debian/control ===
Source: ros-crystal-ets-plugin
Section: misc
Priority: extra
Maintainer: Bruno Demartino <demartinoba@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ets-msgs, ros-crystal-rclcpp, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rmw-implementation-cmake, ros-crystal-std-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-ets-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ets-msgs, ros-crystal-launch-ros, ros-crystal-rclcpp, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rosidl-default-runtime, ros-crystal-std-msgs, ros-crystal-ros-workspace
Description: ETS2/ATS plugin to publish telemetry information using ROS2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-ets-plugin//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
